Error running DADA2 in 454 data


(Julie Bethany Rakes) #1

Hello,

I’m trying to do an analysis of 454 data with DADA2 and I’m getting an error.
The code I’m running is:

qiime dada2 denoise-pyro
–i-demultiplexed-seqs demux-end.qza
–p-trunc-len 220
–p-n-threads 29
–o-table table
–o-representative-sequences rep-seqs
–verbose\

And this is the output I’m getting:

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    Initializing error rates to maximum possible estimate.
    Error rates could not be estimated.
    Error in err[c(1, 6, 11, 16), ] <- 1 :
    incorrect number of subscripts on matrix
    Calls: dada
    Execution halted
    Traceback (most recent call last):
    File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 152, in _denoise_single
    run_commands([cmd])
    File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_single.R’, ‘/tmp/qiime2-archive-4vum4tmw/f470feaf-64cc-4c05-a130-6f0ccc7687ce/data’, ‘/tmp/tmpy1z1xmt7/output.tsv.biom’, ‘/tmp/tmpy1z1xmt7/track.tsv’, ‘/tmp/tmpy1z1xmt7’, ‘220’, ‘0’, ‘2.0’, ‘2’, ‘Inf’, ‘consensus’, ‘1.0’, ‘29’, ‘250000’, ‘-1’, ‘32’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_pyro
File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 268, in denoise_pyro
band_size=‘32’)
File “/home/fgplab/miniconda3/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 163, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Can someone help me with this?


(Matthew Ryan Dillon) #2

I found a similar error on the DADA2 error tracker:

Maybe you can try some of the checks suggested in that thread? You will already have a copy of DADA2 (and R) on hand in your QIIME 2 env. FWIW, in the linked issue it sounds like the reason this error happened is because all of the reads in the data were unique - no groupings of reads were identified.


(Julie Bethany Rakes) #3

Thank you very much!